/* Generated with AuthorIT version 4.1.449  29.03.2006 16:08:00 */
Page=new Array();
Page[0]=new Array("Before you start using this guide, it is important to understand the documentation conventions used in it. ","Documentation Conventions","13283.htm");
Page[1]=new Array("The following kinds of formatting in the text identify special information.","Formatting convention","Type of Information","Example","Special Bold","Items you must select, such as menu options, command buttons, or items in a list.","Go to the QoS tab.","Titles of chapters, sections, and subsections.","Read the Basic Administration chapter.","Italics","Used to emphasize the importance of a point, to introduce a term or to designate a command line placeholder, which is to be replaced with a real name or value.","The system supports the so called wildcard character search.","Monospace","The names of commands, files and directories, and the commands you type. ","The license file is located in the httpdocs/common/license directory.","Preformatted","On-screen computer output in your command-line sessions; source code in XML, C++, or other programming languages.","# ls al /files","total 14470","CAPITALS","Names of keys on the keyboard.","SHIFT, CTRL, ALT","KEY+KEY","Key combinations for which the user must press and hold down one key and then press another.","CTRL+P, ALT+F4","Typographical Conventions","13476.htm");
Page[2]=new Array("If you spot a typo in this guide, or if you have thought of a way to make this guide better, we would love to hear from you!","If you have a suggestion for improving the documentation (or any other relevant comments), try to be as specific as possible when formulating it. If you have found an error, please include the chapter/section/subsection name and some of the surrounding text so that we could find it easily.","Please submit a report by e-mail to userdocs@parallels.com.","Feedback","13284.htm");
Page[3]=new Array("This guide is intended for game hosting providers who wish to manage their Counter-Strike game servers using Plesk control panel.","About This Guide","21431.htm");
Page[4]=new Array("With this module you can:","deploy, configure, uninstall Counter-Strike game servers,","specify which maps each game server should use,","start, stop, restart game servers,","add, update game mods with Steam utility provided by Valve,","delegate permissions for managing game server to other users.","About This Module","21432.htm");
Page[5]=new Array("Once you install the Counter-Strike Game Server module on your Plesk control panel, you will need to take a few steps to install the game server program files and other required components. These files will be shared among all game servers that you will set up.","To obtain and install the core components of game servers:","Click the @ Modules shortcut in the navigation pane and, in the Modules group, click the @ Counter-Strike game server icon.","The installation program starts searching for an installed game server engine. If it does not detect it, the installer will offer you the two options:","Install the game server automatically - download the game server files from the official directory servers on the Internet and install them automatically. This procedure might take much time and hundreds megabytes of data transfer, depending on the number of components you wish to install. During automatic installation, you will be asked to choose the game version (Counter-Strike, Counter-Strike Source and Counter-Strike Condition Zero) to install.","Use an existing installation - if you already have the game server engine installed, use this option to specify the path to the directory where it is installed.","Click OK.","Install the Steam software. Steam is an online content delivery system designed by Valve Corporation. To be able to download, install and update games from the Valve website through the Internet, you need to install the Steam client.","Important: By downloading and installing the Steam client, you assume responsibility for the consequences of using this software. Use it at your own risk!","If you do not have the Steam client program or Counter-Strike game server installed, leave the Download from the official Valve site and install option selected and click OK. The Steam software will be downloaded from the official download site (http://www.steampowered.com/download/hldsupdatetool.bin). Then, the License Agreement with Valve Corporation will appear. Click Accept to accept the license agreement to download and install the Steam client.  ","If you have already downloaded this file (hldsupdatetool.bin) and have it on your local machine, select the Install from the local machine option to upload it. Click OK. Then, specify the path to the hldsupdatetool.bin file and click OK. Click Accept to accept the license agreement.","To specify the path to the existing Steam installation, select the Use an existing Steam client installation on your Plesk server option and click OK. Locate the Steam distribution package and click OK.","All game modifications (also commonly referred to as mods) that are available for downloading are shown in a list. Each mod title is accompanied with the following icon indicating whether the mod is already installed: @ - the game mod is already installed and @ - game mod is not installed.","If you have a steam account that you would like to use for retrieving installation files or updates from Valve, click the @ Switch Steam Account icon, specify your username and password, and click OK.","Select the checkboxes corresponding to the game mods you wish to install and click OK.  ","When the selected game components are installed, click OK to quit the wizard. ","Now the core components of the selected game servers are installed, and you can proceed to setting up your game servers.","Deploying Game Servers","21438.htm");
Page[6]=new Array("To set up a new game server:","Click the @ Modules shortcut in the navigation pane and, in the Modules group, click the @ Counter-Strike game server icon.","Click the @ Add CS Game Server icon in the Tools group.","Select a game modification you want to run on your server. Click Next &gt;&gt;.","Choose the operation mode. If your server is going to be restricted to LAN clients only, select the Server is running in LAN-Only mode option. If you are serving both LAN and Internet clients, select the Server is running in LAN &amp; Internet mode option.","To prevent the players connected through the Internet from cheating on your server, select the Use Valve anti-cheat module option.","Click Next &gt;&gt;.","Specify the maximum number of players who can connect simultaneously to your server. Click Next &gt;&gt;.","Enter the name for this game server. Click Next &gt;&gt;.","Select how you want to configure your game server:","If you wish to customize the default configuration prior to running the game server, select the Customize the default configuration prior to running the game server option.","If you wish to create the game server with default configuration and run it upon completion, select the Run the game server with the default configuration option.","Click Finish.","The game server with optimal configuration will be set up.","If you selected the Run the game server with the default configuration option, the game server will run.","If you chose the Customize the default configuration prior to running the game server, you will be taken to the game server configuration screen on which you can adjust the following settings for your game server:","Setting","Description","Game server name","The name that you would like to call your server.","Configuration file","Select the configuration file that will be used for this game server. This drop-down list contains all configuration files available for this game mod. To edit the selected configuration file, click the Edit button on the right.","Operation mode","If your server is going to be restricted to LAN clients only, select the Server is running in LAN-Only mode option. If you are serving both LAN and Internet clients, select the Server is running in LAN &amp; Internet mode option.","IP address","Specify the IP addresses at which the game server will be accessible","Game server port","The port number the game server will work on.<br>Default is 27015","Maximum number of players","The maximum number of players who can simultaneously connect to your game server ","Game server auto update","Use this to automatically update the game server through the Internet upon each start.","Use WON authorization server","If you set up a game server in LAN without Internet access, and do not want your game server to connect to WON authorization server, leave this checkbox deselected","Use Valve anti-cheat module","Valve Anti-cheat is the program that bans cheaters from game. The ban issued to the cheater depends on the severity of the cheat, and the number of offenses.","RCON password","Remote Console password is required if you wish to manage the game server remotely. The RCON password is also used by Plesk for restarting the game server","Game server entry password","If you wish to restrict access to your game server, specify the password that the authorized users will use for entering this game server","Subsequently, when you need to modify these settings, you will access this screen by clicking Modules &gt; Counter-Strike &gt; game server name you need &gt; Configuration tab.","To fine tune your game server by modifying configuration files:","Go to Modules &gt; Counter-Strike &gt; game server name you need &gt; Configuration tab.","Select the configuration file you need, in the Configuration file group, and click the Edit button.","In the Commands text input area, enter a list of commands. To generate the list of commands, we recommend that you use the Configuration Editor Tool available at http://server.counter-strike.net. To use the Configuration Editor, open http://server.counter-strike.net/server.php?cmd=tools# in a new browser window and click the config editor link in the left navigation pane. A pop-up window will open. Specify required settings and click Configure! at the bottom of the page. A list of commands will be generated and displayed in the Generated Server.cfg section of the page. Copy the generated commands to the clipboard, then return to your control panel and paste them into the Commands text input area.","Note: changes made to the configuration file will affect all game servers that run on a given configuration.  ","Click OK to submit the changes.","To create a new configuration file:","Go to Modules &gt; Counter-Strike.","Click the @ Configuration Files icon.","Click the @ New Configuration icon.","Enter the mod name, configuration name (not the file name!) in the Name field, and a description of this configuration file that will be displayed in the list of game servers.","In the Commands text input area, enter a list of commands. To generate the list of commands, we recommend that you use the Configuration Editor Tool available at http://server.counter-strike.net. To use the Configuration Editor, open http://server.counter-strike.net/server.php?cmd=tools# in a new browser window and click the config editor link in the left navigation pane. A pop-up window will open. Specify required settings and click Configure! at the bottom of the page. A list of commands will be generated and displayed in the Generated Server.cfg section of the page. Copy the generated commands to the clipboard, then return to your control panel and paste them into the Commands text input area.","Click OK to submit your configuration.","If you wish to apply this configuration to a game server at this time, go to Modules &gt; Counter-Strike &gt; game server name you need &gt; Configuration tab, select the configuration file you need in the Configuration file group, and then click OK.","To modify a configuration file you created:","Go to Modules &gt; Counter-Strike.","Click the @ Configuration Files icon.","Click the configuration name you need.","Modify the settings as desired and click OK. ","To remove a configuration file:","Go to Modules &gt; Counter-Strike.","Click the @ Configuration Files icon.","Select the corresponding check box and click Remove Selected.","On the next page, confirm the removal and click OK.","Note: You cannot delete the default configuration file! You can only edit it.","Setting Up a Game Server","21536.htm");
Page[7]=new Array("To select maps that will be available for users playing a specific type of game:","Click the @ Modules shortcut in the navigation pane and, in the Modules group, click the @ Counter-Strike game server icon.","Click the game server's name.","Click the Maps tab. The tab has two lists: the left-hand list displays all available maps and the list on the right contains all maps available for users playing on this game server.","To add a map to the game, move maps from the list of available maps to the list of selected maps by using the Add &gt;&gt; and &lt;&lt; Remove buttons.","Click OK.","To simplify map selection, you can sort all maps by mission types, such as saving hostages, assassination of VIP persons, planting a bomb, knife arena, team deathmatch, escape from the area, or Arctic Warfare Police. To view all maps related to the category of interest, select the category in the Map categories drop-down box.","The maps for a game will played consequently as they go in the list, starting from the default map selected in the Default map drop-down box. To move a map downward or upward in the list, use the Move Up or Move Down buttons, respectively. ","Note: Each game mod has a standard set of maps. If you remove such a standard map from the list of maps (do not confuse the standard map with the default map!), they will be automatically installed during updating of your game server.","Choosing Maps for the Game","21440.htm");
Page[8]=new Array("To add or remove maps that your game servers can use:","Click the @ Modules shortcut in the navigation pane and, in the Modules group, click the @ Counter-Strike game server icon.","Click the @ Maps Management icon. The list of all maps for all game mods will show.","To view only the maps related to a specific game mod, select the respective option in the Select the game modification group.","To upload a new map, click the Browse button, select the map file you need (in zip or bsp file format), and then click Upload.","To remove the map you do not need, select the respective check box and click Remove Selected.","Adding and Removing Maps","21582.htm");
Page[9]=new Array("To delegate permissions for managing game servers to one of your customers registered with your Plesk control panel:","Click the @ Modules shortcut in the navigation pane and, in the Modules group, click the @ Counter-Strike game server icon.","Click the @ Game Server Operator button. ","On the page that opens, enter the login of a Plesk control panel user in the Login field. If you want to assign the game server operator rights to the domain administrator, enter the domain name as login. For clients and e-mail users, enter their login names to the control panel.","To revoke permissions to manage game servers from a user:","Click the @ Modules shortcut in the navigation pane and, in the Modules group, click the @ Counter-Strike game server icon.","Click the @ Game Server Operator button.","On the page that opens, delete the login from the Login field and leave this field blank.","Delegating Permissions for Managing Game Servers to Another User","21537.htm");
Page[10]=new Array("To start, stop or restart a game server:","Click the @ Modules shortcut in the navigation pane and, in the Modules group, click the @ Counter-Strike game server icon.","Click the @ icon to stop a running game server,  @ to start a stopped game server and  the @ icon to restart it. ","OR","Click a game server's name. Then click the @ button to run a game server, the @ button to start it, and @ to restart it.","Starting, Stopping, Restarting Game Servers","21439.htm");
Page[11]=new Array("To update the game server files and components:","Click the @ Modules shortcut in the navigation pane and, in the Modules group, click the @ Counter-Strike game server icon.","Click the @ Update Game Servers icon.","A page displaying all game modifications available for updating will appear. Each mod title is accompanied with the following icon indicating whether the mod is already installed: @ - the game mod is already installed and @ - game mod is not installed. ","If you wish to use another Steam account for updating, click Switch Steam Account.","Select the check boxes corresponding to the game mods you wish to update and click OK.","In the next step, the selected game components will updated. When finished, click OK to quit the wizard.","In case of updating failure you can view the log file for details. To do this, click the link next to the operation result icon.","Updating Game Servers","21538.htm");
Page[12]=new Array("To remove a game server:","Click the @ Modules shortcut in the navigation pane and, in the Modules group, click the @ Counter-Strike game server icon.","Select the check boxes corresponding to the game servers you wish to remove, and click Remove Selected. On the next page, confirm removal and click OK.","Deleting Game Servers","21587.htm");
var PageCount=13;
function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=ISO-8859-1'>\n";
Result+='<script language="javascript" type="text/javascript" charset="ISO-8859-1" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="<style type='text/css'>\n";
Result+=".searchDetails {font-family:verdana; font-size:8pt; font-weight:bold}\n";
Result+=".searchResults {font-family:verdana; font-size:8pt}\n";
Result+="</style>\n";
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";
Result+='<table class="searchDetails" border="0" cellspacing="0" cellpadding="2" width="100%">\n';
Result+='<tr><td>Enter a keyword or phrase</td></tr>';
Result+='<tr><td>';
Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;Go&nbsp;"/></form>';
Result+='</td></tr></table>\n';

if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='5' class='searchResults' width='100%'>";
   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,FoundWord.bold())+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,FoundWord.bold())+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,FoundWord.bold())+"\n";
                   }
               }
               Result+="</td></tr>";
               break;
           }
       }
   }
   Result+="</table>";
   Result+="<p class='searchDetails'>&nbsp;" + NrRes + " result(s) found.</p>";
}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}
