<?php
global $cs_lmsg_arr;

$cs_lmsg_arr = array (
//'cs__<...>' => '...'

// General messages.
'cs__'			=> 'Counter-Strike',
'cs__servers'	=> 'Counter-Strike Game Servers',
'cs__server_name' => 'Server name',

'cs__map_category' => 'Mission type',
'cs__game_name' => 'Mod title',
'cs__map' => 'Active map',
'cs__map_list' => 'Maps',
'cs__map_name' => 'Map name',
'cs__maps' => 'Maps',
'cs__players' => 'Players',
'cs__all_ip' => 'All IP addresses',
'cs__need_license'		=> 'This module requires that you install a license key.',

'cs__start_failed' => 'Failed to start the game server.',
'cs__stop_failed' => 'Failed to stop the game server.',
'cs__restart_failed' => 'Restart game server failed.',
'cs__restart__bad_rcon_password' => 'For restarting game server remotely, you should specify the remote console password (RCON password) on the game server configuration screen.',
'cs__port_already_used' => 'The port %1 is already used by another game server. Please, specify another port, or click Cancel to restore the previous configuration.',
'cs__only_admin_can_install_steam' => 'You need to have administrator\'s privileges to install the Steam client.',
'cs__only_admin_can_install_req_steam' => 'You do not have the permission to install the Steam client. Please contact your server administrator to have the Steam client installed.',

'cs__nav_panel_conhelp' => 'Manage Counter-Strike game servers.',
'cs__module_config' => 'Game Server Installation',
'cs__complete_install_ok' => 'Click to complete the installation wizard.',
'cs__not_installed'	=> '<p>No game server was found in the Plesk installation directories. If you have the game server installed in another location, select the <b>%2</b> option to specify the Counter-Strike game server installation directory.</p><p>If you do not have the Counter-Strike game server installed, select the <b>%1</b> option to have it downloaded from the Internet and automatically installed. This procedure might take much time and use up to 400 Megabytes of traffic, depending on the number of components you wish to install. During an automated installation, you will be prompted to choose the game version (Counter-Strike, Counter-Strike Condition Zero, Counter-Strike:Source) to be installed.</p>',
'cs__install_option' => 'Please select the desired option:',
'cs__install_automatically' => 'install the game server automatically',
'cs__path_to_cs' => 'use an existing installation',

'cs__gs-configuration'	=> 'Counter-Strike game server configuration',
'cs__gs_dir' => 'Path to Counter-Strike game server directory',
'cs__cs_gs_not_found' => 'There is no Counter-Strike game server in %1',

'cs__steam_account' => 'Specify The Steam Account To Be Used',
'cs__about_steam_account' => '<p>Steam is an online content delivery system designed by Valve corporation. It is used for retrieving game server installation files and updates through the Internet, provided that you are registered with Steam and have a valid Steam account.</p><p>If you are not a registered user, and do not have a Steam account yet, select the <b>create a new Steam account</b> option to register a new account. The username field must be a valid e-mail address.</p><p>If you already have a Steam account, please select the <b>use an existing Steam account</b> option.</p>',
'cs__steam_account__demo' => '<p><b>This is demo. Please enter any username and password.</b></p>',
'cs__steam_account_prop' => 'Account properties',
'cs__steam_username' => 'Steam username',
'cs__steam_password' => 'Password',

'cs__gs_update' => 'Select The Software Titles You Wish To Install Or Update',
'cs__cs_games' => 'Software titles',
'cs__mail_name_not_exist' => 'This mail name is not registered with control panel.',

'cs__game_all' => 'All',
'cs__game_all_desc' => 'All installed games',
'cs__game_hlds' => 'Half-Life dedicated game server ',
'cs__game_hlds_desc' => 'Required',
'cs__game_cstrike' => 'Counter-Strike',
'cs__game_cstrike_desc' => 'A mod for Half-Life',
'cs__game_czero' => 'Counter-Strike: Condition Zero',
'cs__game_czero_desc' => 'A Counter-Strike expansion',
'cs__game_cssource' => 'Counter-Strike: Source',
'cs__game_cssource_desc' => 'A Half-Life2 mod',
'cs__game_dmc' => 'DMC (Deathmatch Classic)',
'cs__game_dmc_desc' => 'Quake style mod for Half-Life',
'cs__game_dod' => 'Day of Defeat',
'cs__game_dod_desc' => 'World War II themed multiplayer',
'cs__game_ricochet' => 'Half-Life: Ricochet',
'cs__game_ricochet_desc' => 'A Half-Life mod where players throw discs at each other while standing on flying platforms',
'cs__game_tfc' => 'Team Fortress Classic',
'cs__game_tfc_desc' => 'A team multiplayer',

'cs__updating'		=> 'Performing the requested operations',
'cs__update_games'	=> 'Update/installation progress',
'cs__installing'	=> 'Installing ',
'cs__pending'		=> 'Pending',
'cs__process'		=> 'In progress...',
'cs__comleted'		=> 'Completed',
'cs__failed'		=> 'Failed',
'cs__traffic_used'	=> '%1 traffic used', // to check

'cs__operator' => 'Game Server Operator\'s Account Setup',
'cs__operator_login' => 'Account properties',
'cs__operator_desc' => '<p>If you wish to grant the privileges for managing the game server to a specific control panel user, specify user\'s login name registered with control panel. This will also put the button labeled "Counter-Strike" to that user\'s control panel environment. Leave this field empty if you wish to remove the existing game server operator\'s account.</p>',
'cs__operator_desc4easy' => '<p>If you wish to grant the privileges for managing the game server to a specific control panel user, specify an e-mail address registered with control panel. This will also put the button labeled "Counter-Strike" to that user\'s control panel environment. Leave this field empty if you wish to remove the existing game server operator\'s account.</p>',
'cs__operator__cl_not_exists'	=> 'The %1 client account does not exist.', // to check /flex
'cs__operator__dlu_not_exists'	=> 'The %1 domain administrator does not exist.', // to check /flex
'cs__operator__mn_not_exists'	=> 'The %1 mail name does not exist.', // to check /flex

'cs__failed_to_connect_to_any_general_server' => 'Unable to connect to Counter-Strike general directory servers on the Internet. Internet connection is required for installing and updating game servers.',
'cs__connection_reset' => 'Connection reset. Try again later.',
'cs__account_name_is_already' => 'The account name you entered is already in use. Please choose another.',
'cs__account_does_not_exists' => 'Authorization failed. Either your Steam account does not exist or you have specified incorrect password.',

'cs__select_servers_to_remove'=> 'Please, select the game server that you wish to remove.',
'cs__select_cfgs_to_remove'=> 'Please, select the configuration file that you wish to remove.',

'cs__configs'				=> 'Configuration files',
'cs__config'				=> 'Configuration file',
'cs__def_conf'				=> 'default configuration file',
'cs__def_conf_desc'			=> 'The default configuration file of %1',
'cs__configfile_name_exists'=> 'The configuration with such name already exists.',
'cs__can_not_save_configfile'=> 'Unable to write the configuration file: ',

'cs__add_server'			=> 'Game Server Creation',
'cs__add_game_server_l'		=> 'Select the game modification',
'cs__add_game_server_h'		=> '<p>Please select the game modification that you wish to run on your server.</p>',
'cs__add_server_mode_l'		=> 'Choose operation mode',
'cs__add_server_mode_h'		=> '<p>If this server is going to be restricted to LAN clients only, then set it here.</p><p>If you are serving both LAN and Internet clients, then leave this set to LAN & Internet.</p>',
'cs__add_mode_lan'			=> 'Server is running in LAN-Only mode',
'cs__add_mode_lan_and_inet'	=> 'Server is running in LAN & Internet mode',
'cs__add_secure_legend'		=> 'Use Valve anti-cheat module.',
'cs__add_max_players_l'		=> 'Specify maximum number of players',
'cs__add_max_players_h'		=> '<p>Specify here the maximum number of players who can connect simultaneously to your server.</p>',
'cs__add_max_players_label'	=> 'Maximum number of players',
'cs__add_name_l'			=> 'Specify server name',
'cs__add_name_h'			=> '<p>Enter the name that you would like to call your server.</p>',
'cs__add_name'				=> 'Server name',
'cs__run_l'					=> 'Finalize creation',
'cs__run_h'					=> '<p>The game server will be created with optimal configuration.</p><p>If you wish to customize the default configuration prior to running the game server, select the <b>%1</b> option.</p><p>If you wish to create the game server with default configuration and run it upon completion, select the <b>%2</b> option.</p>',
'cs__run_text'				=> 'Run the game server with the default configuration',
'cs__tuning_text'			=> 'Customize the default configuration prior to running the game server',

'cs__remove'				=> 'Confirm removal',
'cs__remove__title'            => 'Game server removal',
'cs__empty_selection_for_remove' => 'Select the game server to be removed.',
'cs__empty_selection_for_map_remove' => 'Select the game maps to be removed.',

'cs__manage_tab' => 'Management',
'cs__config_tab' => 'Configuration',
'cs__maps_tab' => 'Maps',

'cs__maps_mng'			=> 'Maps Repository',
'cs__maps_mng__upload_legend' => 'Map upload',
'cs__maps_mng__upload_label' => 'Path to map file location',
'cs__maps_mng__upload_hint' =>  '*.zip, *.bsp',
'cs__maps_mng__is_not_map' => 'Unable to recognize the file format.',
'cs__maps_mng__select_game_mod' => 'Please select the game modification for filter/upload maps.',
'cs__maps_mng__select_game_mod_alert' => 'Please select the game modification that you wish to use for map uploading.',

'cs__maps_remove'	=> 'The following game maps will be removed:',

'cs__configuration' 		=> 'Configuration',
'cs__config__name'			=> 'Game server name',
'cs__config__name_desc'		=> 'The name that you would like to call your server.',
'cs__config_desc'			=> 'All other commands are listed in the game server configuration file.',
'cs__config__ip'			=> 'IP address',
'cs__config__all_ip'		=> 'Run on all IP addresses',
'cs__config__particular_ip'	=> 'Run on the specified IP address',
'cs__config__ip_desc'		=> 'Specify the IP addresses at which the game server will be accessible.',
'cs__config__port'			=> 'Game server port',
'cs__config__port_desc'		=> '<p>The port number the game server will work on. Default is 27015.</p>',
'cs__config__mode'			=> 'Operation Mode',
'cs__config__mode_desc'		=> 'If this server is going to be restricted to LAN clients only, then set it here. If you\'re serving both LAN and internet clients, then leave this set to LAN & Internet.',
'cs__config__lan'			=> 'Server is running in LAN-Only mode',
'cs__config__lan_and_inet'	=> 'Server is running in LAN & Internet mode',
'cs__config__max_players'	=> 'Maximum number of players',
'cs__config__max_players_desc'=> 'The maximum number of players who can connect to your game server.',
'cs__config__autoupdate'	=> 'Game server auto update',
'cs__config__autoupdate_desc'=> 'Use this to automatically update the game server through the Internet upon each start.',
'cs__config__master'		=> 'Use WON authorization server',
'cs__config__master_desc'	=> 'If you set up a game server in LAN without Internet access, and do not want your game server to connect to WON authorization server, leave this checkbox deselected.',
'cs__config__secure'		=> 'Use Valve anti-cheat module',
'cs__config__secure_desc'	=> 'Valve Anti-cheat is the program that bans cheaters from game. The ban issued to the cheater depends on the severity of the cheat, and the number of offenses.',
'cs__config__rcon_password'	=> 'RCON password',
'cs__config__rcon_password_desc' => 'Remote Console password is required if you wish to manage the game server remotely. The RCON password is also used by Plesk for restarting the game server.',
'cs__config__sv_password'	=> 'Game server entry password',
'cs__config__sv_password_desc' => 'If you wish to restrict access to your game server, specify the password that the authorized users will use for entering this game server.',

'cs__config_file__page'		=> 'Configuring gaming settings',
'cs__config_file__page'		=> 'Configuring gaming settings',
'cs__config_file__commands'	=> 'Commands',

'cs__no_maps'			=> 'There are no maps available for this game. Please update the %1 mod.',
'cs__avail_maps'		=> 'Available maps',
'cs__slc_maps'			=> 'Selected maps',
'cs__default_map'		=> 'Default map',
'cs__maps_categories'	=> 'Map categories',
'cs__ctg__'				=> 'All maps',
'cs__ctg__other'		=> 'Other',
'cs__ctg__cs'			=> 'Save hostages',
'cs__ctg__as'			=> 'Assassinate VIP persons',
'cs__ctg__de'			=> 'Plant a bomb',
'cs__ctg__ka'			=> 'Knife arena',
'cs__ctg__fy'			=> 'Team deathmatch',
'cs__ctg__es'			=> 'Escape',
'cs__ctg__awp'			=> 'Arctic Warfare Police',

'cs__cfg_mod' => 'Mod',

'cs__steam_autoinstall'	=> 'Steam License Agreement',
'cs__steam_autoinstall__l' => '',
'cs__steam_autoinstall__can_not_download' => 'Unable to download file hldsupdatetool.bin from http://www.steampowered.com: %1',
'cs__steam_autoinstall__failed_execute' => 'The Steam client does not work properly. Please try again.',

'cs__steam_install'		=> 'Installing the Steam Client',
'cs__steam_install__legend'=> 'Choosing installation type',
'cs__steam_install__msg'	=> '<p>The Steam client is required for retrieving, installing and updating games by Valve Corporation through the Internet. By downloading and installing the Steam client, you assume responsibility for the results obtained from your use of the software. Use it at your own risk.</p><p>Select <b>%1</b> option to have the Steam software downloaded from the official download site (http://www.steampowered.com/download/hldsupdatetool.bin).</p><p>Select the <b>%2</b> option to upload the required program file from your local machine.</p><p>Select the <b>%3</b> option to specify path to the existing Steam installation.</p>',
'cs__steam_install__autoinstall'=> 'Download from the official Valve site and install',
'cs__steam_install__upload'=> 'Install from the local machine',
'cs__steam_install__path'	=> 'Use an existing Steam client installation on your Plesk server',

'cs__steam_path'		=> 'Specify Path to the Steam Client Installation Directory',
'cs__steam_path__label'	=> 'Path to file or directory',
'cs__steam_path__not_found'=> 'The Steam client was not found in the specified location.',

'cs__steam_upload'		=> 'Uploading Steam Client',
'cs__steam_upload__label'=> 'Path to file',
'cs__steam_upload__hint'=> 'filename should be \'hldsupdatetool.bin\'',

'module_cs-gs_guide' => 'Game Server Guide', // To check

'bt_cs__add_game_server'=> 'Add CS Game Server',
'bt_cs__add_new_config'	=> 'New Configuration',
'bt_cs__change_template' => 'Change Configuration Template',
'bt_cs__configs' => 'Configuration Files',
'bt_cs__maps_mng'		=> 'Maps Management',
'bt_cs__operator' => 'Game Server Operator',
'bt_cs__server_restart' => 'Restart Game Server',
'bt_cs__server_start' => 'Run Game Server',
'bt_cs__server_stop' => 'Stop Game Server',
'bt_cs__status_refresh' => 'Refresh',
'bt_cs__steam_account' => 'Switch Steam Account',
'bt_cs__update' => 'Update Game Servers',

'bt_edit_config'	=> 'Edit', // to check
'bt_move_down'		=> 'Move Down',
'bt_move_up'		=> 'Move Up',

'pb__cs__configs' => 'Game configurations',
'pb__cs__maps' => 'Maps',
'pb__cs__server_config' => 'Game server configuration', // to check
'pb__cs__servers' => 'Game Servers',
);

require_once('conhelp_en-US.php');
?>